name: advent22

services:
  api:
    image: mcr.microsoft.com/devcontainers/python:3-3.14-trixie
    volumes:
      - ../:/workspaces/advent22:cached
    command: sleep infinity

  ui:
    image: mcr.microsoft.com/devcontainers/javascript-node:4-24-trixie
    volumes:
      - ../:/workspaces/advent22:cached
    command: sleep infinity
